#!/usr/local/bin/ruby
#  encoding: utf-8
#  daybook_google.rb
#
#  Created by midori on 2006-09-24.
#  Copyright (c) 2006. All rights reserved.
#  You can distribute/modify this program under the terms of the Ruby License.
#  Last change: 2006-10-05.
#________________________________________ 
require "daybook"
base = MainBase.load('base/daybook_base')
h_base =  base.make_base_hash
#________________________________________
require "owner/d_google"
#________________________________________
begin
  SAFE = 3
  g = GoogleSiteMap.new(h_base)
  prune_list = ["daybook_archives","mycgi", "admin", "lwws", "feedback", "log", ]
  skip_file = ["404", "405", "403" ,"aboutmidoredaybook"]
  return_xml  = g.make_google_sitemap(prune_list, skip_file)
  print "Content-Type: text/html\n\n"
  print return_xml
rescue
  DaybookPrint.new.error_out
end
#________________________________________